# Generated from riemann-smith-0.7.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name riemann-smith

Name: rubygem-%{gem_name}
Version: 0.7.1
Release: 1%{?dist}
Summary: Monitor smith agents, reporting to Riemann
License: GPL-3.0
URL: https://github.com/filterfish/riemann-smith
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(yard) >= 0.8.7
# BuildRequires: rubygem(yard) < 0.9
BuildArch: noarch

%description
Integrate smith agent monitoring with Riemann.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/queue-lengths
%{_bindir}/riemann-smith
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/doc

%changelog
* Wed Apr 20 2022 mockbuilder - 0.7.1-1
- Initial package
